> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vspomogatelnye-metody/sozdanie-platezhnogo-porucheniya.md).

# Создание платежного поручения

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/payorder/api/v1/order`

#### Headers

| Name                                            | Type   | Description                                                                                         |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотационный хэш (см [Формирование подписи](/platezhnyi-shlyuz/formirovanie-podpisi.md)) |

#### Request Body

| Name                                                               | Type    | Description                                                                                                                               |
| ------------------------------------------------------------------ | ------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| payment\_order\_id<mark style="color:red;">\*</mark>               | String  | Идентификатор поручение на стороне мерчанта                                                                                               |
| payment\_order\_date<mark style="color:red;">\*</mark>             | Date    | <p>Дата  платежного поручение </p><p>в формате 2025-06-30</p>                                                                             |
| merchant\_id<mark style="color:red;">\*</mark>                     | String  | Идентификатор мерчанта                                                                                                                    |
| project\_id<mark style="color:red;">\*</mark>                      | Integer | Идентификатор проекта                                                                                                                     |
| transfers <mark style="color:red;">\*</mark>                       | Array   | Cписок трансферов                                                                                                                         |
| transfers.name                                                     | String  | Наименование субмерчанта                                                                                                                  |
| transfers.bin<mark style="color:red;">\*</mark>                    | String  | БИН/ИИН субмерчанта                                                                                                                       |
| transfers.transfer\_id<mark style="color:red;">\*</mark>           | String  | Идентификатор трансфера на стороне мерчанта                                                                                               |
| transfers.description                                              | String  | Описание трансфера                                                                                                                        |
| transfers.amount<mark style="color:red;">\*</mark>                 | Float   | Сумма трансфера                                                                                                                           |
| transfers.beneficiary\_code<mark style="color:red;">\*</mark>      | String  | КБЕ                                                                                                                                       |
| transfers.payment\_purpose\_code<mark style="color:red;">\*</mark> | String  | Код назначения платежа                                                                                                                    |
| transfers.recipient\_account<mark style="color:red;">\*</mark>     | String  | Счет получателя                                                                                                                           |
| transfers.is\_legal<mark style="color:red;">\*</mark>              | Boolean | <p>Флаг, указывающий, является ли субъект юридическим лицом</p><p><br>Значения:<br>true — юридическое лицо<br>false — физическое лицо</p> |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "status": true,
    "message": "Success",
    "result": "success"
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```json
{
    "status": false,
    "status_code": 5406,
    "message": "invalid project secret",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

{% code fullWidth="true" %}

```bash
curl --location 'https://prapi.tarlanpayments.kz/payorder/api/v1/order' \
--header 'Authorization: Bearer 123' \
--header 'Content-Type: application/json' \
--data '{
  "project_id": 99,
  "transfers": [
    {
      "name": "string",
      "bin": "11011000999",
      "transfer_id": "transfer_id",
      "description": "string",
      "amount": 150,
      "beneficiary_code": "13",
      "payment_purpose_code": "123",
      "recipient_account": "KZ111011111000011111",
      "is_legal": true
    }
  ],
  "merchant_id": 1,
  "payment_order_date": "2025-06-30",
  "payment_order_id": "payment_order_id"
}'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vspomogatelnye-metody/sozdanie-platezhnogo-porucheniya.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
